%global momorel 1

Summary: OpenSSH X11 passphrase dialog
Name: openssh-askpass

# Version of ssh-askpass
%global aversion 1.2.4.1
# Use GTK2 instead of GNOME in gnome-ssh-askpass
%global gtk2 1
### include local configuration
%{?include_specopt}
### default configurations
#  If you'd like to change these configurations, please copy them to
# /etc/rpm/specopt/openssh-askpass.specopt and edit it.
# Do we want to disable building of gnome-askpass? (1=yes 0=no)
%{?!no_gnome_askpass: %define no_gnome_askpass 0}

# Version of OpenSSH
%global over 5.2
%global pver 1
Version: %{over}p%{pver}
Release: %{momorel}m%{?dist}
License: BSD
Group: Applications/Internet
URL: http://www.openssh.com/
Source0: ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-%{version}.tar.gz
NoSource: 0
Source1: http://www.pobox.com/~jmknoble/software/x11-ssh-askpass/x11-ssh-askpass-%{aversion}.tar.gz
NoSource: 1
Source10: gnome-ssh-askpass.ja.po

Prereq: openssh = %{version}, openssh-clients = %{version}
BuildPrereq: coreutils, imake
BuildRequires: libICE-devel, libSM-devel, libX11-devel, libXt-devel
%if ! %{no_gnome_askpass}
BuildRequires: pkgconfig, gtk+-devel
BuildRequires: libXft-devel, libXrender-devel
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%package gnome
Summary: OpenSSH GNOME passphrase dialog
Group: Applications/Internet
Requires: openssh = %{version}, openssh-clients = %{version}

%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to separate libraries (OpenSSL).

This package contains Jim Knoble's <jmknoble@jmknoble.cx> X11 passphrase 
dialog.

%description gnome
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to separate libraries (OpenSSL).
#'

This package contains the GNOME passphrase dialog.

%prep
if [ %{version} == "3.4" ]; then
	if md5sum %{SOURCE0} | grep -s -v "459c1d0262e939d6432f193c7a4ba8a8" ;  then
		cat <<EOF >&2
****************************************************************
            FATAL ERROR! it seems to be trojaned.
****************************************************************

%{SOURCE0} seems to be trojaned.
So I stopped building %{name}-%{version} urgently.

Read:
http://docs.freebsd.org/cgi/getmsg.cgi?fetch=394609+0+current/freebsd-security
EOF
		exit 255
	fi
fi

%setup -q -n openssh-%{version} -a 1
%if ! %{no_gnome_askpass}
cp -pf %{SOURCE10} contrib/.
%endif

%build
pushd x11-ssh-askpass-%{aversion}
./configure --libexecdir=%{_libexecdir}/ssh --mandir=%{_mandir}
xmkmf
make includes
make
popd

# Define a variable to toggle gnome1/gtk2 building.  This is necessary
# because RPM doesn't handle nested %if statements.
%if %{gtk2}
       gtk2=yes
%else
       gtk2=no
%endif

%if ! %{no_gnome_askpass}
pushd contrib
if [ $gtk2 = yes ] ; then
       make gnome-ssh-askpass2
       mv gnome-ssh-askpass2 gnome-ssh-askpass
else
       make gnome-ssh-askpass1
       mv gnome-ssh-askpass1 gnome-ssh-askpass
fi
msgfmt -o gnome-ssh-askpass.mo gnome-ssh-askpass.ja.po
popd
%endif

%install
%{__rm} -rf --preserve-root %{buildroot}
pushd x11-ssh-askpass-%{aversion}
make install DESTDIR=%{buildroot}
make install.man DESTDIR=%{buildroot}
popd

%if ! %{no_gnome_askpass}
install -d %{buildroot}%{_datadir}/locale/ja/LC_MESSAGES
install -s contrib/gnome-ssh-askpass %{buildroot}%{_libexecdir}/ssh/gnome-ssh-askpass
install -m644 contrib/gnome-ssh-askpass.mo %{buildroot}%{_datadir}/locale/ja/LC_MESSAGES
%endif

%clean
%{__rm} -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc x11-ssh-askpass-%{aversion}/README
%doc x11-ssh-askpass-%{aversion}/ChangeLog
%doc x11-ssh-askpass-%{aversion}/TODO
%doc x11-ssh-askpass-%{aversion}/SshAskpass-*.ad
%attr(0755,root,root) %{_libexecdir}/ssh/ssh-askpass
%attr(0755,root,root) %{_libexecdir}/ssh/x11-ssh-askpass
%{_datadir}/X11/app-defaults/SshAskpass
%{_mandir}/man1/ssh-askpass.1x*
%{_mandir}/man1/x11-ssh-askpass.1x*

%if ! %{no_gnome_askpass}
%files gnome
%defattr(-,root,root)
%attr(0755,root,root) %{_libexecdir}/ssh/gnome-ssh-askpass
%{_datadir}/locale/ja/LC_MESSAGES/gnome-ssh-askpass.mo
%endif

%changelog
* Wed Feb 25 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.2p1-1m)
- rebuild against openssh-5.2p1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.1p1-2m)
- rebuild against rpm-4.6

* Tue Jul 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.1p1-1m)
- rebuild against openssh-5.1p1

* Fri Apr  4 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.0p1-1m)
- rebuild against openssh-5.0p1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.9p1-3m)
- rebuild against gcc43

* Mon Mar 31 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.9p1-1m)
- rebuild against openssh-4.9p1

* Fri Sep  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.7p1-1m)
- rebuild against openssh-4.7p1

* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.6p1-2m)
- remove Provides and Obsoletes: ssh-extras

* Fri Mar  9 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.6p1-1m)
- rebuild against openssh-4.6p1

* Wed Nov 08 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5p1-1m)
- rebuild against openssh-4.5p1

* Sat Sep 30 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.4p1-1m)
- rebuild against openssh-4.4p1

* Tue Mar 28 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.3p2-3m)
- revised BuildRequires

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.3p2-2m)
- revise for xorg-7.0
- change install dir

* Mon Feb 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.3p2-1m)

* Thu Feb 02 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (4.3p1-1m)

* Fri Sep 02 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2p1-1m)

* Thu May 26 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1p1-1m)

* Thu Mar 10 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.0p1-1m)

* Fri Aug 20 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (3.9p1-1m)

* Sat Apr 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.8.1p1-1m)

* Wed Mar 31 2004 Yonekawa Susumu <yonekawa@mmg.roka.jp>
- (3.8p1-1m)

* Wed Sep 24 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.7.1p2-1m)

* Wed Sep 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.7.1p1-1m)

* Sun Jul 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.6.1p2-2m)
- move include_specopt after Name tag

* Wed Apr 30 2003 HOSONO Hidetomo <h12o@h12o.org>
- (3.6.1p2-1m)

* Mon Apr  7 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (3.6.1p1-1m)

* Tue Apr  1 2003 HOSONO Hidetomo <h12o@h12o.org>
- (3.6p1-1m)

* Mon Mar 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.5p1-6m)
- rebuild against for XFree86-4.3.0

* Wed Mar  5 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.5p1-5m)
  not depend version of openssh

* Thu Feb 27 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5p1-4m)
- openssh-askpass,openssh-askpass-gnome are separated
  from openssh base package

* Wed Dec 25 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5p1-3m)
- change URI of x11-ssh-askpass tar ball (thanks to NARITA Koichi [Momonga-devel.ja:01144])
- delete comment lines
- always include all files(by zaki)

* Sat Dec  7 2002 HOSONO Hidetomo <h12o@h12o.org>
- (3.5p1-2m)
- rebuild against openssl-0.9.6h
- remove unnecessary comment
- correct a misspelled comment :-)

* Sun Oct 20 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5p1-1m)
- update to 3.5p1
- port gnome-ssh-askpass[12] from contrib/redhat/openssh.spec
  cf. RedHat: Use contrib/ Makefile for building askpass programs
- change default gtk2 1
- change ssh-agent from attr(0755,root,root) to attr(2755,root,nobody)
  cf. RedHat: Install ssh-agent setgid nobody to prevent ptrace() key theft attacks
- change BuildPreReq gnome-libs-devel to pkgconfig

* Fri Sep 20 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (3.4p1-5m)
- add portable version to Version:
- %%no_x11_askpass and %%no_gnome_askpass can now be defined
  by command line arguments.
- add %%{?include_specopt}
- rsh support was deprecated, so remove BuildPrereq: rsh
- add ssh_config(5) man page
- add ssh-keysign sub package.
  since ssh-keysign(8) is a setuid programm and only needed
  during hostbased authentication with protocol version 2,
  installing it is not recommened.

* Thu Aug  1 2002 HOSONO Hidetomo <h@h12o.org>
- (3.4-4m)
- correct some wrong spelling of trojan(ed)

* Thu Aug  1 2002 HOSONO Hidetomo <h@h12o.org>
- (3.4-3m)
- stop building in %prep when trojaned openssh-3.4p1.tar.gz is find

* Tue Jun 27 2002 Masahiro Takahata <takahata@mtaka.com>
- (3.4-2k)
- upgrade to 3.4

* Thu Jun 25 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (3.3-4k)
- specify package name for papre and postun
- add sshd_config.5

* Thu Jun 25 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (3.3-2k)
- update to 3.3p1
- useradd/groupadd sshd for privilege separation

* Thu May 23 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.2.3-2k)
  update to 3.2.3p1

* Fri May 17 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.2.2p1-6k)
- add --with-4in6=yes configure option if _ipv6 is defined as 1

* Fri May 17 2002 HOSONO Hidetomo <h@kondara.org>
- (3.2.2p1-4k)
- change Prereq and BuildPreReq(openssl-0.9.6c or later).

* Fri May 17 2002 WATABE Toyokazu <toy2@kondara.org>
- (3.2.2p1-2k)
- update to 3.2.2p1 to fix several security ploblems.
  see http://marc.theaimsgroup.com/?l=openssh-unix-dev&m=102158874317836&w=2
- move scp to openssh package.

* Wed May  1 2002 WATABE Toyokazu <toy2@kondara.org>
- (3.1p1-6k)
- apply a patch.
  see http://marc.theaimsgroup.com/?l=openssh-unix-dev&m=101982330707988&w=2

* Fri Apr 12 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (3.1p1-4k)
- fix spec about rsa1 problem.

* Fri Mar  8 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.1p1-2k)
- update to 3.1p1

* Tue Feb 19 2002 Shingo Akagaki <dora@Kondara.org>
- (3.0.2p1-8k)
- Obsoletes: sftp

* Sun Feb 17 2002 WATABE Toyokazu <toy2@kondara.org>
- (3.0.2p1-6k)
- be available sftp and its manual.

* Sun Dec  9 2001 Toru Hoshina <t@kondara.org>
- (3.0.2p1-4k)
- applied init patch.
- See. [Kondara-devel.ja:06055]

* Tue Dec  4 2001 Toru Hoshina <t@kondara.org>
- (3.0.2p1-2k)
- update to 3.0.2p1
- suma-so.

* Tue Nov 20 2001 Tsutomu Yasuda <tom@kondara.org>
- (3.0.1p1-2k)
  update to 3.0.1p1

* Mon Nov 12 2001 Tsutomu Yasuda <tom@kondara.org>
- (3.0p1-2k)
  update to 3.0p1

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (2.9.9p2-4k)
- rebuild against gettext 0.10.40.

* Sun Sep 30 2001 MATSUDA< Daiki <dyky@df-usa.com>
- (2.9.9p2-2k)
- update to 2.9.9p2 for security fix (http://www.securityfocus.com/bid/3369)
- update x11-ask-pass to 1.2.4.1
- rename /etc/ssh/primes to /etc/ssh/moduli for fixing original source

* Mon Sep 24 2001 Toru Hoshina <t@kondara.org>
- (2.9p2-16k)
- suid of /usr/bin/ssh is turned off.
- scp should be in ssh-clients.

* Fri Sep 21 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.9p2-14k)
  fix spec

* Sun Sep  9 2001 Toru Hoshina <t@kondara.org>
- (2.9p2-8k)
- rebuild against XFree 4.1.0, applied x11-askpass-1.2.2-xf41.patch, however
  it might be wrong for X403 environment.

* Tue Aug  7 2001 Toru Hoshina <toru@df-usa.com>
- (2.9p2-6k)
- add alphaev5 support.

* Sun Jul 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.9p2-4k)
- update to 2.9p2 for openssl security fix
- so, modified add version '0.9.6b' to openssl required tag

* Fri Jun 22 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.9p2-3k)
- update to 2.9p2
- delete openssh-2.9-cookies.patch 
  since it is already imported into source

* Sat Jun 16 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.9p1-9k)
- added openssh-2.9-cookies.patch (from FreeBSD's openssh-portable port)
  this patch fixed the problem of
  http://www.securityfocus.com/archive/1/188450
- BuildPreReq: pam => pam-devel

* Thu May  3 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>                     
- (2.9p1-4k)
  added %{_sysconfdir}/sysconfig/sshd

* Thu May  3 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>                     
- (2.9p1-2k)                                                                    
  openssh update to 2.9p1                                                       
  x11-askpass update to 1.2.2

* Thu Apr 19 2001 Kenichi Matsubara <m@kondara.org>
- (2.5.2p2-10k)
- remove sftp,sftp.man.

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (2.5.2p2-8k)
- rebuild against openssl 0.9.6.

* Sat Mar 24 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.5.2p2-3k)
- update to 2.5.2p2

* Thu Mar 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.5.2p1-7k)
- support gtk+1-1.2.9

* Thu Mar 22 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.5.2p1-5k)
- when creating ssh_host_dsa_key, use "-t dsa" instead of "-d".
- create ssh_host_rsa_key (RSA key for protocol ver.2) on %%post.
- uncommentout "HostKey /etc/ssh/ssh_host_rsa_key"

* Wed Mar 20 2001 TABUCHI Takaaki <tab@kondara.org>
- (2.5.2p1-3k)
- update to 2.5.2p1
- change openssh-kondara.patch adapt for openssh-2.5.2p1.
  (and comment out "HostKey /etc/ssh/ssh_host_rsa_key".
   If you want to use this function, maybe you need to 
   add exec ssh-keygen at post server section in this spec file.)
- comment out make-ssh-known-hosts at install,
  because this file is deleted in openssh tarball.
  (This file is not listed in files section. miss?)
- add ssh-copy-id, ssh-copy-id.1* in clients files section

* Thu Mar  1 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.5.1p2-3k)
- update to 2.5.1p2

* Wed Feb 28 2001 TABUCHI Takaaki <tab@kondara.org>
- (2.5.1p1-5k)
- add --with-pam at configure
- comment out ssh-keyscan* at files for clients package

* Mon Feb 23 2001 TABUCHI Takaaki <tab@kondara.org>
- (2.5.1p1-3k)
- update to 2.5.1p1
- comment out patch1(openssh-init.patch)
- remove README.Ylonen, COPYING.Ylonen
- update x11-ssh-askpass for 1.2.0
- add /etc/ssh/primes at files
- fix missed directory /etc/ssh/primes
- change permission 600 to 644 /etc/pam.d/sshd

* Mon Feb 05 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.3.0p1-13k)
- use _sysconfdir macro.
- add make-ssh-known-hosts and ssh-copy-id.
* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.3.0p1-11k)
- rebuild againt rpm-3.0.5-39k
* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- (2.3.0p1-7k)
- use _initscriptdir macro to keep backword compatibility.
* Thu Nov 16 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.3.0p1-5k)
- update gnome-ssh-askpass.* made by h@kondara.org.
* Wed Nov 15 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.3.0p1-3k)
- update x11-ssh-askpass for 1.1.1
- modified install of x11-ssh-askpass.
* Tue Nov 07 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.3.0p1-2k)
- update x11-ssh-askpass for 1.1.0
- add openssh-init.patch
* Tue Nov 07 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.3.0p1-1k)
- update openssh for 2.3.0p1
- update openssh-kondara.patch
- remove sshd.init
* Mon Oct 30 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.2.0p1-4k)
- update ssh-askpass for 1.0.3
* Mon Oct 16 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.2.0p1-2k)
- update ssh-askpass for 1.0.2
* Fri Sep 15 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.2.0p1-1k)
- Adopt to FHS-2.1
* Sat Sep 02 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.2.0p1-0k)
- add openssh-2.2.0p1-kondara.patch
* Tue Aug 08 2000 Damien Miller <djm@mindrot.org>
- Some surgery to sshd.init (generate keys at runtime)
- Cleanup of groups and removal of keygen calls
* Wed Jul 12 2000 Damien Miller <djm@mindrot.org>
- Make building of X11-askpass and gnome-askpass optional
* Thu Jun 15 2000 Toyokazu Watabe <toy2@kondara.org>
- add openssh-2.1.1p1-kondara.patch
  fix config files and these pathes.
* Mon Jun 12 2000 Damien Miller <djm@mindrot.org>
- Glob manpages to catch compressed files
* Sat Jun 10 2000 Toyokazu Watabe <toy2@kondara.org>
- update for 2.1.1p1
* Mon May 29 2000 Hidetomo Hosono <h@kondara.org>
- patched for contrib/gnome-ssh-askpass.c
  because of the problem with grabbing X server and command arguments dealing.
  (very quick and ad-hoc hack)
* Wed May 10 2000 Toyokazu Watabe <toy2@kondara.org>
- update for 2.1.0
* Sun Mar 26 2000 Tenkou N. Hattori <tnh@kondara.org>
- be a NoSrc :-P
* Wed Mar 15 2000 Damien Miller <djm@ibs.com.au>
- Updated for new location
- Updated for new gnome-ssh-askpass build
* Sun Dec 26 1999 Damien Miller <djm@mindrot.org>
- Added Jim Knoble's <jmknoble@pobox.com> askpass
* Mon Nov 15 1999 Damien Miller <djm@mindrot.org>
- Split subpackages further based on patch from jim knoble <jmknoble@pobox.com>
* Sat Nov 13 1999 Damien Miller <djm@mindrot.org>
- Added 'Obsoletes' directives
* Tue Nov 09 1999 Damien Miller <djm@ibs.com.au>
- Use make install
- Subpackages
* Mon Nov 08 1999 Damien Miller <djm@ibs.com.au>
- Added links for slogin
- Fixed perms on manpages
* Sat Oct 30 1999 Damien Miller <djm@ibs.com.au>
- Renamed init script
* Fri Oct 29 1999 Damien Miller <djm@ibs.com.au>
- Back to old binary names
* Thu Oct 28 1999 Damien Miller <djm@ibs.com.au>
- Use autoconf
- New binary names
* Wed Oct 27 1999 Damien Miller <djm@ibs.com.au>
- Initial RPMification, based on Jan "Yenya" Kasprzak's <kas@fi.muni.cz> spec.
